Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class ParameterizedTarget

    java.lang.Object
      |
      +--netscape.security.Target
            |
            +--netscape.security.UserTarget
                  |
                  +--netscape.security.ParameterizedTarget

public class ParameterizedTarget
extends UserTarget

Dummy class.

Constructor Summary
`ParameterizedTarget()`
`ParameterizedTarget(String s1, Principal p, int i, String s2, String s3, String s4)`
`ParameterizedTarget(String s1, Principal p, int i, String s2, String s3, String s4, String s5)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] pa, Object o)`
`Privilege` | `enablePrivilege(Principal p, Object o)`
`String` | `getDetailedInfo(Object o)`

Methods inherited from class netscape.security.Target
`checkPrivilegeEnabled, checkPrivilegeEnabled, findTarget, findTarget, findTarget, getDescription, getHelpUrl, getRisk, getRiskColor, getTargetFromDescription, registerTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterizedTarget

    public ParameterizedTarget()

### ParameterizedTarget

    public ParameterizedTarget(String s1,
                               Principal p,
                               int i,
                               String s2,
                               String s3,
                               String s4)

### ParameterizedTarget

    public ParameterizedTarget(String s1,
                               Principal p,
                               int i,
                               String s2,
                               String s3,
                               String s4,
                               String s5)

Method Detail

### getDetailedInfo

    public String getDetailedInfo(Object o)

  Overrides:
    getDetailedInfo in class Target

### enablePrivilege

    public Privilege enablePrivilege(Principal p,
                                     Object o)

  Overrides:
    enablePrivilege in class UserTarget

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] pa,
                                           Object o)

  Overrides:
    checkPrivilegeEnabled in class Target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.